# CSCI Project

This project contains various JavaScript implementations of common computer science algorithms and data structures.

## Files

-   **fib.js**: Contains code related to the Fibonacci sequence.
-   **knightsTravials.js**: Contains code related to the Knight's Travails problem.
-   **linkedList.js**: Contains code related to Linked List data structures.
-   **mergeSort.js**: Contains code related to the Merge Sort algorithm.
-   **projectBTS.js**: Contains code related to Binary Tree Structures
-   **projectHashMap.js**: Contains code related to HashMap data structure.
-   **projectHashSet.js**: Contains code related to HashSet data structures.

## Running the Project

To run the code in this project, you will need to have Node.js installed on your system.

1.  **Install Node.js**: If you do not already have Node.js installed, download it from the official website and follow the installation instructions.

2.  **Navigate to the Directory**: Open your terminal or command prompt and navigate to the `csci` directory.
```
bash
    cd csci
    
```
3.  **Run the Files**: You can run each JavaScript file individually using Node.js. For example, to run `fib.js`, use the following command:
```
bash
    node fib.js
    
```
Repeat this step for each file you want to run:
```
bash
    node knightsTravials.js
    node linkedList.js
    node mergeSort.js
    node projectBTS.js
    node projectHashMap.js
    node projectHashSet.js
    
```
Each file contains its own set of operations and instructions, follow the console output in order to see the results of the operation.